/**
 * RoleClassManufacturedProduct.java
 *
 * File generated from the medication::RoleClassManufacturedProduct uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassManufacturedProduct.
 *
 * 
 */

@XmlType(name = "RoleClassManufacturedProduct")
@XmlEnum
@XmlRootElement(name = "RoleClassManufacturedProduct")
public enum RoleClassManufacturedProduct {
	@XmlEnumValue("MANU")
	MANU("MANU"),
	@XmlEnumValue("THER")
	THER("THER");
	
	private final String value;

    RoleClassManufacturedProduct(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassManufacturedProduct fromValue(String v) {
        for (RoleClassManufacturedProduct c: RoleClassManufacturedProduct.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}